﻿using Android.Content;
using Infragistics.Documents.Excel;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace BigExcelTest
{
	public partial class MainPage : ContentPage
	{
		public MainPage()
		{
			InitializeComponent();
		}

        private void excelBtn_Clicked(object sender, EventArgs e)
        {
            var wb = new Workbook(WorkbookFormat.Excel2007);
            var ws = wb.Worksheets.Add("Sheet 1");
            ws.Rows[0].Cells[0].Value = "Key";
            ws.Rows[0].Cells[1].Value = "Value";
            for (int ii = 1; ii < 120000; ++ii)
            {
                ws.Rows[ii].Cells[0].Value = "Key" + ii.ToString();
                ws.Rows[ii].Cells[1].Value = ii;
                System.Diagnostics.Debug.WriteLine(ii);
            }

            //string path = Environment.GetFolderPath(Environment.SpecialFolder.external);

            string path = Android.OS.Environment.ExternalStorageDirectory.AbsolutePath;

            Java.IO.File datadirPath = Android.OS.Environment.DataDirectory;
            //var x = datadirPath.AbsolutePath;

            string fileName = Path.Combine(path, "myWorkbook.xlsx");
            //string fileName = Path.Combine(path, "myTextFile.txt");

            if (File.Exists(fileName))
            {
                File.Delete(fileName);
            }

            //StreamWriter writer = File.CreateText(fileName);

            //writer.Write("Some text");

            //writer.Close();

            FileStream fs = new FileStream(fileName, FileMode.CreateNew, FileAccess.ReadWrite, FileShare.ReadWrite);            
            //var fs = File.Create(fileName);
            wb.Save(fs);

            fs.Close();


        }
    }
}
